Child pages
  • Project Wonder Installation
Skip to end of metadata
Go to start of metadata

This page is the starting point for beginning development with Project Wonder. Developing rich web applications with Project Wonder requires the installation of three primary components: the development environment, the WebObjects Frameworks, and the Project Wonder Frameworks. The development environment is comprised of Eclipse and WOLips, the latter being a set of plugins that provide a rich and specialized toolset for developing Wonder applications within the ubiquitous Eclipse Java IDE.

The guides here assume you are using OS X 10.6 (Snow Leopard) or higher. There are four sections to this installation process.

Overview of Steps:
- install Eclipse (if necessary)
- install WOLips Plugins for Eclipse
- install WebObjects frameworks and configure WOLips
- install Project Wonder and import into your workspace

Step 1:  Install the latest version of Eclipse

If you already have Eclipse installed, you may skip this step.

Easy Install:

You can download and run Golipse. Golipse will download Eclipse and WOLips, and configure the environment in a fashion consistent with best practices for Wonder development. At launch, Golipse will simply ask for target install directory. After installing, you should launch Eclipse.app. If you are running OS X 10.7 or higher, this may force a download of a Java runtime if not already installed. Workspace Mechanic will offer to make initial and beneficial configuration changes.

After successfully running Golipse, you can skip to the download and install of the WebObjects frameworks.

Download Golipse

Manual Install:

Head over to the Eclipse Foundation and download the latest version of Eclipse Indigo (3.7) suitable for your OS X version.  

Eclipse does not install as a package, rather it is simply a compressed archive.  Installation is as simple as extracting the Eclipse folder, entering it and running the Eclipse executable.  In this context, it is important to remember where the folder resides on your system for future use.

It is important to run the Eclipse executable at this time.  Lion will prompt you to install Java Runtime (if it is not already installed), which is required for the next step.  Snow Leopard comes with Java runtime installed

Video of Eclipse Install:

Step 2:  Install WOlips plugin and the WebObjects Framework

  1. Install WOLips Plugin

Currently you have a stock Eclipse installation which will allow you to do normal Java development, but it does not contain any of the WOLips plugins, so you will not have any of the WebObjects development tools. To begin your WOLips installation, from within Eclipse, select Help => Install New Software...

This opens the "Install" panel where you can specify sites for Eclipse to download new software features. This dialog allows you to add/inspect any software features you have downloaded or were included in your default install of Eclipse. You can click "Available Software Sites" to see what was included by default.

    1. To install WOLips you will need to add the WOLips update site to Eclipse. You do this by clicking the "Add" button.  In the Name field you can enter a name for your update site. The name is arbitrary but since you could have multiple similar update sites you should give it a name that leaves no doubt about what it is.

      In the Location field, enter the following URL:
    2. You are returned to the "Install" panel, the WOLips site having been added to the list, and fully expanded to display all its offerings. Select features you want. If you're just getting started with WOLips you should select "WOLips" and "WOLips Goodies." Leave the other options until you are more familiar with Eclipse and WOLips and decide that you need them. (Here are some Other WOLips Install Options.)  After selecting the options you want, click "Next." You'll briefly see a progress bar while Eclipse "calculates requirements and dependencies."
    3. You'll see an "Install" panel, asking you to Review and Confirm selected items to be installed.
    4. Click Next >. The next dialog contains the license agreements for the selected features. After reviewing the agreements (you DO review your license agreements, right?? (smile)  ), select "I accept the terms of the license agreement." Selecting this radio button will accept the license agreements for all of the features listed. Click Finish to continue. You may also get a warning about "unsigned content." Click "OK" to dismiss that dialog and continue the install.
    5. Eclipse will now download and install all the selected features and plugins. When it has completed, it will prompt you to restart Eclipse. Select "Restart Now."
2.  Install the WebObjects Framework

Once the WOlips plugin is installed, perform the following terminal commands:

$ sudo mkdir -p /Library/WebObjects/Versions/WebObjects543
$ curl -O http://wocommunity.org/tools/WOInstaller.jar
$ sudo java -jar WOInstaller.jar 5.4.3 /Library/WebObjects/Versions/WebObjects543

Video of Step 2:

Step 3:  Link the Framework to WOlips through the properties configuration file

Prerequisite: Eclipse with the WOlips plugin installed, and the WebObjects framework via step 2.

This is the most intricate step in the installation process.  The configuration file found in the WOlips preferences must correctly reference the framework directory structure.  Failure to successfully complete this step will result in broken libraries.

Running the script from step 2 installs the WO framework to the /Library/WebObjects/Versions/WebObjects543 directory on your system. Below is the contents for a configuration file that matches this setup.  Create a new file called wolips.543.properties.  Copy the code below (after modification) into that file.

You must replace <YOUR_USER_NAME_HERE!> with your the username which installed the framework.

wo.system.root=/Library/WebObjects/Versions/WebObjects543/System
wo.user.frameworks=/Users/<YOUR_USER_NAME_HERE!>/Library/Frameworks
wo.system.frameworks=/Library/WebObjects/Versions/WebObjects543/System/Library/Frameworks
wo.bootstrapjar=/Library/WebObjects/Versions/WebObjects543/System/Library/WebObjects/JavaApplications/wotaskd.woa/WOBootstrap.jar
wo.network.frameworks=/Network/Library/Frameworks
wo.api.root=/Library/WebObjects/ADC%20Reference%20Library/documentation/WebObjects/Reference/API
wo.network.root=/Network
wo.extensions=/Library/WebObjects/Versions/WebObjects543/Library/WebObjects/Extensions
wo.user.root=/Users/<YOUR_USER_NAME_HERE!>
wo.local.frameworks=/Library/WebObjects/Versions/WebObjects543/Library/Frameworks
wo.dir.local.library.frameworks=/Library/WebObjects/Versions/WebObjects543/Library/Frameworks
wo.apps.root=/Library/WebObjects/Versions/WebObjects543/Library/WebObjects/Applications
wo.local.root=/Library/WebObjects/Versions/WebObjects543
wo.dir.user.home.library.frameworks=/Users/<YOUR_USER_NAME_HERE!>/Library/Frameworks

Place this file in ~/Library/Application Support/WOLips, this directory should already exist and contain the default wolips.properties file.

The second part of this step is to link the WOlips plugin with the WO framework installed on your system.  This is done through the tab found at Eclipse menu -> Preferences -> WOlips.

It is important to realize that if you change the WOlips Properties File to "wolips.543.properties" and then hit "apply" it will write out the (now stale) field values to that file.  This could potentially clobber your new wolips.543.properties file with the default values.  If you suspect this has happened, close the WOlips preferences and inspect the wolips.543.properties file.

Change the "WOlips Properties File" to wolips.543.properties and click OK. 

At this point, you should have a functioning WebObjects platform to work with, visit <hello world link> to test your first WebObjects application.

(Please note: you can't use the Wonder Frameworks at this point as only WebObjects installed. To use the Wonder Frameworks you must successfully complete step 4 which downloads the Wonder source. You must build the frameworks with that source).

Video of Step 3:

Step 4:  Import Project Wonder into your Eclipse workspace

 Please follow this guide:  Getting the Wonder Source Code, which includes the page for importing the Project Wonder source into your Eclipse workspace.

Project Wonder is a significant part of the WebObjects experience.  Where the previous step seems to give new users the most grief now, this step will give you the most pleasure when working with WebObjects.

Video of Step 4:

 

At the end of this step, you will have Project Wonder imported into Eclipse under its own working set.  If you are unfamiliar with working sets in Eclipse, the following video will help clarify.  This video also demonstrates a "Hello World" project creation to validate proper installation.


  

3 Comments

  1. Step 3 says: "Running the script from step 2 installs the WO framework to the /Developer/WebObjects543 directory on your system." Doesn't it actually install WO into /Library/WebObjects/Versions/WebObjects543 ?

  2. You are correct.  Fixed.

    I went through the procedure on a clean machine and it basically worked.  I found the wolips.543.properties a bit confusion.

    The default process is wolip.properties and it does not have as many keys as the example given.  

    In light of trying to keep things to doing it one way...Why wouldn't we just always install 543 now and leave the construct of installing multiple versions to an expert section???

  3. I also think we should use wolips.properties and not wolips.543.properties . The Wonder build script "ant frameworks", which uses the same properties file will only take values from wolips.properties, not wolips.543.properties.